API referenceContracts
Contracts By Network
Last updated
Network-addressed form of the route above. mainnet/finney return the same data as the unprefixed path; testnet/test return testnet data.
Path Parameters
network*string
Network to address. mainnet and finney are the same network, as are testnet and test.
Value in
- "finney"
- "mainnet"
- "test"
- "testnet"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/finney/contracts"{ "data": { "artifacts": [ { "contract_version": "2026-06-29.1", "id": "example", "path": "/metagraph/example.json", "schema_ref": "#/components/schemas/Example", "status": "live", "storage_tier": "dual" } ], "base_path": "/metagraph", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "name": "Example Subnet", "notes": "Example description.", "openapi_url": "/metagraph/openapi.json", "primary_domain": "api.metagraph.sh", "schema_version": 1, "status_domain": null, "type_definitions_url": "/metagraph/types.d.ts" }, "meta": { "artifact_path": "example", "cache": "short", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "pagination": { "collection": "example", "cursor": 1, "limit": 1, "next_cursor": 1, "order": "asc", "returned": 1, "sort": "example", "total": 1 }, "published_at": "2026-06-01T00:00:00.000Z", "source": "live-cron-prober", "stale_contract": { "built_under": "example", "live": "example" } }, "ok": true, "schema_version": 1}